      subroutine film(h,sink,temp,jstep,jinc,atime,noel,npt,coords,
     1		jltyp,field,nfield,sname,jusernode,area)
c
      include 'aba_param.inc'
c
      dimension h(2),coords(3),atime(2),field(nfield)
      character*80 sname
      parameter ( twothird=-.666666666666666d0,
     $               third=0.333333333333333d0,
     $                zero=0.0d0,
     $                  c1=100.0d0,
     $                  c5=500.0d0,
     $                  c8=800.0d0,
     $                   x=10.0d0,
     $                 one=1.0d0,
     $                 two=2.0d0,
     $             xxxviii=38.0d0)
c
      h(1) = zero
      h(2) = zero
      sink = zero
      a2   = one

      theta = abs(temp-sink)

      if (noel.le.11) then

         sink = c1
         a1 = sign(a2,temp-sink)
         h(1) =              c5 * theta**third
         h(2) = a1 * third * c5 * theta**twothird

      else if (jstep.eq.1.or.jstep.eq.3) then

         sink = xxxviii
         a1 = sign(a2,temp-sink)
         h(1) =          two*theta**third
         h(2) = a1*third*two*theta**twothird

      else

         sink = c8
         h(1) = x

      end if
c
      return
      end
